This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 485056 - rpmlint warns 'configure-without-libdir-spec' even for lines, where ./configure is not executed
rpmlint warns 'configure-without-libdir-spec' even for lines, where ./configu...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-11 07:39 EST by Michal Hlavinka
Modified: 2011-04-24 21:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-24 21:11:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Hlavinka 2009-02-11 07:39:16 EST
Description of problem:

spec file can contain

rm -f ./configure
even 
# rm -f ./configure

in %build and it produces warning


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.create spec file with "%build \n rm -f ./configure"
2.rpmlint specfile
3.
  
Actual results:
rpmlint's warning

Expected results:
no warning

Additional info:
Comment 1 Ville Skyttä 2009-02-11 10:55:40 EST
Confirmed, but I'm not too optimistic about this getting fixed at least in the near future.  Finding out whether ./configure is invoked or just referenced some other way is not that easy (consider for example things like "CFLAGS=foo ./configure" which *should* be caught).

One way to "fool" rpmlint into not emitting this false positive would be to do "rm -f configure" instead of "rm -f ./configure".

By the way, "rm -f ./configure" (if it's followed by an autotools invocation) sounds like something that could be arguably better placed in %prep than %build.  That would not silence rpmlint though, but I could see a case for modifying rpmlint so that it checks for ./configure invocations in %build only, not in any other spec file section (currently it does it everywhere except %changelog).
Comment 2 Michal Hlavinka 2009-02-12 05:01:12 EST
(In reply to comment #1)
> ...
> ...  That would not silence rpmlint though, but I could see a case for
> modifying rpmlint so that it checks for ./configure invocations in %build only,
> not in any other spec file section (currently it does it everywhere except
> %changelog).

I don't know if someone is not calling  ./configure in %prep, does rpmlint check this too?

btw, I fool rpmlint with: rm -f ./"configure"
Comment 3 Ville Skyttä 2009-02-12 10:49:43 EST
No, rpmlint does not check where ./configure is called.  I suppose it could whine about the placement if it's called somewhere outside of %build, no matter what the arguments to ./configure are.
Comment 4 Bug Zapper 2009-06-09 07:16:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-04-27 08:56:18 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora Admin XMLRPC Client 2010-12-07 16:19:08 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Tom "spot" Callaway 2011-04-24 21:11:50 EDT
Given that there are several obvious workarounds:

rm -rf configure
rm -rf ./"configure"

or basically, anything that doesn't use the string "./configure" will get rid of this false positive, I don't think this is something worth spending any time resolving.

rpmlint is not a "this is wrong, you must fix it" tool, but rather, a tool to aid packagers in pointing out things that seem incorrect. When common sense trumps rpmlint, then go with common sense. :)

Closing as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.